package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.eas.framework.report.CommRptBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.gggl.app.*;
import com.kingdee.eas.framework.report.ICommRptBase;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class GgLeaseStatusReportFacade extends CommRptBase implements IGgLeaseStatusReportFacade
{
    public GgLeaseStatusReportFacade()
    {
        super();
        registerInterface(IGgLeaseStatusReportFacade.class, this);
    }
    public GgLeaseStatusReportFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IGgLeaseStatusReportFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("6DAB48DC");
    }
    private GgLeaseStatusReportFacadeController getController() throws BOSException
    {
        return (GgLeaseStatusReportFacadeController)getBizController();
    }
}